Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 80273

Summary: Missing build dependency in .spec
Product: [Retired] Red Hat Linux Reporter: Zenon Panoussis <redhatbugs>
Component: modutilsAssignee: Bill Nottingham <notting>
Status: CLOSED RAWHIDE QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: athlon   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2002-12-23 20:35:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Zenon Panoussis 2002-12-23 18:37:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021122

Description of problem:
Bison is required for building from source, but not set as a build requirement.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

# rpm -bb /usr/src/redhat/SPECS/modutils.spec
<snip>
gcc -O2 -march=i386 -mcpu=i686 -I. -I. -I./../include -D_GNU_SOURCE 
-DCONFIG_ROOT_CHECK_OFF=0   -c -o genksyms.o genksyms.c
expect 6 shift/reduce conflicts and 5 reduce/reduce conflicts.
bison -o parse.c -dtv parse.y
make[1]: bison: Command not found
make[1]: *** [parse.c] Error 127
make[1]: Leaving directory `/usr/src/redhat/BUILD/modutils-2.4.18/genksyms'
make: *** [all] Error 2
<snip>
# rpm -hiv /usr/src/redhat/RPMS/i386/bison-1.35-4.i386.rpm
# rpm -bb /usr/src/redhat/SPECS/modutils.spec
<snip>
+ exit 0

Comment 1 Bill Nottingham 2002-12-23 20:35:24 UTC
Will be fixed in 2.4.22-3 or later, thanks.